<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('UsdtC2c', function (Blueprint $table) {
            $table->id();
            $table->string('Currency')->nullable();
            $table->decimal('Highest', 20, 8)->nullable();
            $table->decimal('Million', 20, 8)->nullable();
            $table->dateTime('created_at')->useCurrent()->nullable();
            $table->dateTime('updated_at')->nullable()->useCurrentOnUpdate();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('UsdtC2c');
    }
};
